News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

Visual Warning Mod

Started by Eleglin, July 31, 2007, 08:53:40 AM

Previous topic - Next topic

thaz

Hello guys. I tried to install the Mod, but I got following message:

The package you tried to upload either is not a valid package or has become corrupted.

So I copied it directly into the Packages Folder and I it appeared in the admin panel.
So I tried to install it and I got following error message:

Fatal error: packageinstall(): Failed opening required ...l/forum/Packages/temp/VisualWarningPdb.php' (include_path='.') in ...l/forum/Sources/Packages.php on line 552

Any Ideas? I have v1.1.4


Eleglin

I have test the two packages and I can't find any error.
You should re-download the mod.
No support by PM or Mail.

thaz

#482
Thank you very much for your help, I redownloaded it's displayed in the packages area.
Can someone tell me if I can install it?
Cause there are some warnings I dont understand:

Installing this package will perform the following actions:
   Type    Action    Description
1.    Execute Code    VisualWarningPdb.php    
2.    Execute Modification    VisualWarning_SMF11.mod    Modification parse error
3.    Extract File    ./Sources/VisualWarning11.php    
4.    Extract File    ./Themes/default/VisualWarning.template.php    
5.    Extract File    ./Themes/default/images/warnban.gif    
6.    Extract File    ./Themes/default/images/warnpmod.gif    
7.    Extract File    ./Themes/default/images/warnmute.gif    
8.    Extract File    ./Themes/default/images/warnwarn.gif    
9.    Extract File    ./Themes/default/images/members.gif    
10.    Extract File    ./Themes/default/images/buttons/warn.gif    
11.    Execute Modification    VisualWarning_languages.mod    Modification parse error

Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

Its the first package I'm installing by the way.

And another question: Do all files on the server who will be modified must be "writeable" (777) ?
Are there other things I need to care for to make a correct installation?

Thanks for your help!

Kamo

Quote from: Eleglin on November 25, 2008, 04:39:11 AM
Maybe an error of syntax on polish translation ?


Maybe but pls take a look at the bugs i found and posted.

jeremycollins

How can I install this on an SMF 1.1.7 with a different theme?  I have no clue where to start. 

Any help would greatly be appreciated!

CesarManara

#485
When i install in SMF 1.1.7 the error msg is received.

7.     Execute Modification     ./Sources/Post.php     Modification parse error
3.     Execute Modification    ./Sources/ModSettings.php     Modification parse error

The mod can not execute the mods in these archives, how i will instal??

This is in the default template of SMF!

scenerip2k

any way to get this mod converted to smf 2.0 beta 4?

Rumbaar

Quote from: scenerip2k on January 16, 2009, 11:19:56 AM
any way to get this mod converted to smf 2.0 beta 4?
Why?  The warning system is a core feature of SMF 2.x now.
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

scenerip2k

Quote from: Rumbaar on January 16, 2009, 07:44:28 PM
Quote from: scenerip2k on January 16, 2009, 11:19:56 AM
any way to get this mod converted to smf 2.0 beta 4?
Why?  The warning system is a core feature of SMF 2.x now.

because the main one in the core cant ban the users it can only stop them from posting.

Rumbaar

That is what the 'ban' function is for :)
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

thebrownshow

#490
I'm having a problem installing version 1.42 on SMF 1.1.7.  I receive a "Error in Package Installation" error.


7.     Execute Modification     ./Sources/Post.php     Test failed
12.     Execute Modification     ./Sources/ManagePermissions.php     Test failed


I'm not worried about these as we're an English forum:


24.     Execute Modification     ./Themes/default/languages/Modifications.french.php     Test failed
25.    Execute Modification    ./Themes/default/languages/Modifications.polish.php    File not found
26.    Execute Modification    ./Themes/default/languages/Modifications.turkish.php    File not found
27.    Execute Modification    ./Themes/default/languages/Modifications.croatian.php    File not found
28.    Execute Modification    ./Themes/default/languages/Modifications.danish.php    File not found
29.    Execute Modification    ./Themes/default/languages/Modifications.spanish.php    Test failed
30.    Execute Modification    ./Themes/default/languages/Modifications.portuguese.php    File not found
31.    Execute Modification    ./Themes/default/languages/Modifications.brazilian.php    File not found


Any ideas?

Rumbaar

Please search the forums and even this thread on how to deal with 'Test failed' errors on mod installations.  You'll have to manually input the code for those files.
Manual Installation of Mods
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

thebrownshow

Quote from: Rumbaar on January 22, 2009, 05:10:53 PM
Please search the forums and even this thread on how to deal with 'Test failed' errors on mod installations.  You'll have to manually input the code for those files.
Manual Installation of Mods


I searched this thread before posting and, of course, I certainly understand that I could install it manually.  I just thought that perhaps, since this says it's compatible with 1.1.7, that there may have been an issue I could help debug as far as the auto-installation was concerned.

Rumbaar

Have you installed any mods before this?  If so a previous mod has altered code to mean it can't be automatically installed via the Package Manager, and if the case is no indication of it's incompatibility with the 1.1.7 version of SMF.
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

RKen

hi there im from Argentina so i apologize if my english its not good.

Well, i have installed the mod manually cause the package dont work to me, my problem its that i cant config the mod in options, y click in the link on admin>featuresettings>visualwarning but it redirect to me to basic options. Can you help me. Tnx

Rumbaar

Are you 100% sure you've correct installed all code manually into all applicable files?  Have you also translated and installed all applicable $txt[] strings into your forums language files?

How come the Package Manager install didn't work for you?  If it returned errors or something else this could be an indicator your SMF version isn't compatible.  What version are you running?
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

RKen

#496
QuoteAre you 100% sure you've correct installed all code manually into all applicable files?  Have you also translated and installed all applicable $txt[] strings into your forums language files?

Yes im sure because im do the same thing twice for ensure, im apply all the mods manually and all works, the translations are traduced and installed in spanish_latin-utf8

QuoteHow come the Package Manager install didn't work for you?  If it returned errors or something else this could be an indicator your SMF version isn't compatible.  What version are you running?

I dont know maybe the host (?), before this forum i have installed another in the same host and the package managen doesnt work neither


What other files also upload in the smf directory? I upload only images, template and the file in sources, 2 and the images nothing more right? i guess a file its miss to upload, well if you can help me i apreciate that, tnx.

Sorry for my english



Edit:
I can use the mod but i cant configure it in Administration panel.

Rumbaar

Did you manually run the queries found in the VisualWarningPdb.php file?
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

RKen

QuoteDid you manually run the queries found in the VisualWarningPdb.php file?

Yes i do, like the parser show to me:

VisualWarningPdb.php           This file should not be able to execute standalone. You may have to run the following queries manually.
      
Code (Query) Select
INSERT IGNORE INTO {$db_prefix}settings
(`variable`, `value`)
VALUES ('$key', '$value')
      
Code (Query) Select
CREATE TABLE IF NOT EXISTS {$db_prefix}postmoderation
(ID INT(11) NOT NULL AUTO_INCREMENT,
ID_TOPIC INT(11),
ID_BOARD INT(11),
ID_MEMBER INT(11) NOT NULL DEFAULT '0',
subject TINYTEXT,
posterName TINYTEXT,
posterEmail TINYTEXT,
posterTime BIGINT(20),
posterIP TINYTEXT NOT NULL,
smiliesEnabled TINYINT(4) NOT NULL DEFAULT '1',
body TEXT, icon TINYTEXT,
ID_POLL INT(11) DEFAULT '-1',
PRIMARY KEY (ID)) TYPE = MYISAM COMMENT = 'Visual Warning Post Moderation'
      
Code (Query) Select
[pre]SHOW TABLES LIKE '{$db_prefix}vwarnings'[/pre]       
Code (Query) Select
CREATE TABLE IF NOT EXISTS {$db_prefix}vwarnings
(ID INT(11) NOT NULL AUTO_INCREMENT,
memberID INT(11) NOT NULL,
MessageID INT(11) NOT NULL,
warningText TEXT  NOT NULL,
time INT(11) DEFAULT '0' NOT NULL,
level INT(3) NOT NULL,
timeToWarn INT(3) DEFAULT '-1',
PRIMARY KEY (ID)) TYPE = MYISAM COMMENT = 'Visual Warning Table'
      
Code (Query) Select
ALTER TABLE {$db_prefix}members
ADD warning INT
      
Code (Query) Select
SHOW COLUMNS
FROM {$db_prefix}vwarnings
LIKE 'ID'
      
Code (Query) Select
ALTER TABLE {$db_prefix}vwarnings
ADD TimeToWarn INT(3) DEFAULT '-1'


Obiously changing the "{$db_prefix}" to my smf prefix
   

Rumbaar

The tables and fields are present in your db?

Please attach your ModSettings.php & Modifications.spanish_latin-utf8.php files, and I'll take a look.
"An important reward for a job well done is a personal sense of worthwhile achievement."

[ Themes ]

Advertisement: